com.corticon.rulesemf.canonicalvocabularymodel.metadata.java

## Interface ClassMetadata

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, JavaMetadataNode, org.eclipse.emf.common.notify.Notifier

      public interface ClassMetadata
      extends JavaMetadataNode

  A representation of the model object 'Class Metadata'.

  The following features are supported:

  - `Interface`
  - `Members`
  See Also:
    `JavaPackage.getClassMetadata()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList` | `getMembers()` Returns the value of the 'Members' containment reference list.
    `boolean` | `isInterface()` Returns the value of the 'Interface' attribute
    `void` | `setInterface(boolean value)` Sets the value of the '`Interface`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalvocabularymodel.metadata.java.JavaMetadataNode

      `getChildren, getName, getParent, setName, setParent`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### isInterface

          boolean isInterface()

      Returns the value of the 'Interface' attribute.

      If the meaning of the 'Interface' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Interface' attribute.
      See Also:
        `setInterface(boolean)`, `JavaPackage.getClassMetadata_Interface()`

    - #### setInterface

          void setInterface(boolean value)

      Sets the value of the '`Interface`' attribute.
      Parameters:
        `value` - the new value of the 'Interface' attribute.
      See Also:
        `isInterface()`

    - #### getMembers

          org.eclipse.emf.common.util.EList getMembers()

      Returns the value of the 'Members' containment reference list. The list contents are of type `MemberMetadata`.

      If the meaning of the 'Members' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Members' containment reference list.
      See Also:
        `JavaPackage.getClassMetadata_Members()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.